PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package affinity
  Definition Classes
    serverobject
-  package aura
  Definition Classes
    serverobject
-  package containable
  Definition Classes
    serverobject
-  package damage
  Definition Classes
    serverobject
-  package deploy
  Definition Classes
    serverobject
-  package doors
  Definition Classes
    serverobject
-  package environment
  Definition Classes
    serverobject
-  package generator
  Definition Classes
    serverobject
-  package hackable
  Definition Classes
    serverobject
-  package locks
  Definition Classes
    serverobject
-  package mblocker
  Definition Classes
    serverobject
-  package mount
  Definition Classes
    serverobject
-  package pad
  Definition Classes
    serverobject
-  package painbox
  Definition Classes
    serverobject
-  package repair
  Definition Classes
    serverobject
-  package resourcesilo
  Definition Classes
    serverobject
-  package shuttle
  Definition Classes
    serverobject
-  package structures
  Definition Classes
    serverobject
-  package terminals
  Definition Classes
    serverobject
-  package transfer
  Definition Classes
    serverobject
-  package tube
  Definition Classes
    serverobject
-  package turret
  Definition Classes
    serverobject
-  package zipline
  Definition Classes
    serverobject
- CommonMessages
- PlanetSideServerObject
- ServerObjectBuilder

o

net.psforever.objects.serverobject

# ServerObjectBuilder

###
Companion class ServerObjectBuilder

#### object ServerObjectBuilder

Source
  ServerObjectBuilder.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ServerObjectBuilder
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type ConstructorType[A <: PlanetSideServerObject] = (Int, ActorContext) => A

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply[A <: PlanetSideServerObject](id: Int, constructor: ConstructorType[A]): ServerObjectBuilder[A]

   Overloaded constructor.

   Overloaded constructor.

   A

     any object that extends from PlanetSideServerObject that will be produced by this class

   id

     the unqiue id that will be assigned to this entity

   constructor

     the logic that initializes the emitted entity

   returns

     a `ServerObjectBuilder` object

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped